Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dataxslt
Class MicrositeFactory

    java.lang.Object
      com.knowgate.dataxslt.MicrositeFactory

    public class MicrositeFactory

extends java.lang.Object

Field Summary
`static boolean` | `bCache`
`static java.util.HashMap` | `oMicrosites`

Constructor Summary
`MicrositeFactory()`

Method Summary
`static boolean` | `cache()`
`static void` | `cache(boolean bCacheOnOf)` Turns Microsite caching on/off
`static Microsite` | `getInstance(java.lang.String sURI)` Get a Microsite from an XML file If Microsite is cached then cached instance is returned.
`static Microsite` | `getInstance(java.lang.String sURI, boolean bValidateXML)` Get a Microsite from an XML file If Microsite is cached then cached instance is returned.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bCache

    public static boolean bCache

### oMicrosites

    public static java.util.HashMap oMicrosites

Constructor Detail

### MicrositeFactory

    public MicrositeFactory()

Method Detail

### cache

    public static boolean cache()

  Returns:
    Caching status on/off

### cache

    public static void cache(boolean bCacheOnOf)

  Turns Microsite caching on/off

  Parameters:
    `bCacheOnOf` - true if Microsite caching is to be activated, false if Microsite caching is to be deactivated.

### getInstance

    public static Microsite getInstance(java.lang.String sURI,
                                        boolean bValidateXML)
                                 throws java.lang.ClassNotFoundException,
                                        java.lang.Exception,
                                        java.lang.IllegalAccessException

  Get a Microsite from an XML file If Microsite is cached then cached instance is returned.

  Parameters:
    `sURI` - XML file URI starting with file:// (for example file:///opt/knowgate/storage/xslt/templates/Comtemporary.xml)
    `bValidateXML` - true if XML validation with W3C schemas is to be done, false is no validation is to be done.
  Returns:
    Microsite instance
  Throws:
    `java.lang.ClassNotFoundException`
    `java.lang.IllegalAccessException`
    `java.lang.Exception`

### getInstance

    public static Microsite getInstance(java.lang.String sURI)
                                 throws java.lang.ClassNotFoundException,
                                        java.lang.Exception,
                                        java.lang.IllegalAccessException

  Get a Microsite from an XML file If Microsite is cached then cached instance is returned. XML validation is disabled.

  Parameters:
    `sURI` - XML file path
  Returns:
    Microsite instance
  Throws:
    `java.lang.ClassNotFoundException`
    `java.lang.IllegalAccessException`
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD